# class KRegExpPrivate | Used internally by KRegExp. More...
Internal Use Only
Definition | `#include <kregpriv.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KRegExpPrivate ()
- KRegExpPrivate ( const char *_pattern, const char *_mode = "" )
- ~KRegExpPrivate ()
- bool compile ( const char *_pattern, const char *_mode = "" )
- bool match ( const char *_string )
- const char * group ( int _grp )
- int groupStart ( int _grp )
- int groupEnd ( int _grp )

#### Protected Members

- regex_t m_pattern
- regmatch_t m_matches[ 10 ]
- char* m_strMatches[10]
- bool m_bInit

## Detailed Description

Used internally by KRegExp.

KRegExpPrivate () | ### KRegExpPrivate

KRegExpPrivate ( const char *_pattern, const char *_mode = "" ) | ### KRegExpPrivate

~KRegExpPrivate () | ### ~KRegExpPrivate

bool compile ( const char *_pattern, const char *_mode = "" ) | ### compile

bool match ( const char *_string ) | ### match

const char * group ( int _grp ) | ### group

int groupStart ( int _grp ) | ### groupStart

int groupEnd ( int _grp ) | ### groupEnd

regex_t m_pattern | ### m_pattern

[protected]

regmatch_t m_matches[ 10 ] | ### m_matches[ 10 ]

[protected]

char* m_strMatches[10] | ### m_strMatches[10]

[protected]

bool m_bInit | ### m_bInit

[protected]

- Author: Torben Weis <weis@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.